<?php

namespace Drupal\noahs_page_builder\Plugin\Control;

/**
 * @ControlPlugin(
 *   id = "hidden",
 *   label = @Translation("hidden")
 * )
 */
class ControlHidden extends ControlBase {

  /**
   * {@inheritdoc}
   */
  public function getype() {
    return 'hidden';
  }

  /**
   * {@inheritdoc}
   */
  public function contentTemplate(array $params = []) {
    $data = $params['data'] ?? NULL;
    $name = $params['name'] ?? NULL;
    $value = $params['value'] ?? NULL;
    $output = '<input type="hidden" name="' . $name . '" value="' . $value . '"field-settings/>';

    return $output;
  }

  /**
   * {@inheritdoc}
   */
  public function getDefaultSettings() {
    return [
      'input_type' => 'hidden',
      'title' => '',
    ];
  }

}
